Bug 178561 - urxvt crashes on <Control>-Middle Click
urxvt crashes on <Control>-Middle Click
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rxvt-unicode (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-21 13:02 EST by Scott Tsai
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-25 07:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2006-01-21 13:02:59 EST
Description of problem:
urxvt crashes on <Control>-Middle Click

Version-Release number of selected component (if applicable):
rxvt-unicode-7.1-1.fc4
perl-5.8.6-22
glibc-2.3.5-10.3

How reproducible:
always

Steps to Reproduce:
1.start urxvt
2.<Control>-Middle Click (mouse button 2) on urxvt window
  
Actual results:
urxvt crash with a segmentation fault.

Expected results:
Not crashing.

Additional info:
backtrace with debuginfo package installed:
#0  0x00a8c37f in getenv () from /lib/libc.so.6
#1  0x032c8ad5 in Perl_yyparse ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#2  0x033416f7 in Perl_find_runcv ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#3  0x033429aa in Perl_pp_entereval ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#4  0x032efb01 in Perl_runops_debug ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#5  0x0329db9e in Perl_get_cv ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#6  0x032a2251 in Perl_call_sv ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#7  0x032a455f in Perl_call_pv ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#8  0x08091bcb in rxvt_perl_interp::invoke (this=0x816bd40, term=0x9444b18,
    htype=HOOK_INIT) at rxvtperl.xs:627
#9  0x0806714e in rxvt_term::init (this=0x9444b18, argc=21, argv=0x94462c8)
    at main.C:482
#10 0x08094843 in XS_urxvt__term__new (my_perl=0x9083f10, cv=0x909fb20)
    at rxvtperl.xs:896
#11 0x0330dbcc in Perl_pp_entersub ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#12 0x032efb01 in Perl_runops_debug ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#13 0x0329db9e in Perl_get_cv ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#14 0x032a2251 in Perl_call_sv ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#15 0x032a455f in Perl_call_pv ()
   from /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so
#16 0x08091bcb in rxvt_perl_interp::invoke (this=0x816bd40, term=0x9072920,
    htype=HOOK_BUTTON_PRESS) at rxvtperl.xs:627
#17 0x0805c23a in rxvt_term::button_press (this=0x9072920, ev=@0xbf93beac)
    at command.C:1898
#18 0x0805e53f in rxvt_term::x_cb (this=0x9072920, ev=@0xbf93beac)
    at command.C:1401
#19 0x0807ab2c in rxvt_display::x_cb (this=0x90750c8, w=@0x90750e0, revents=1)
    at ./callback.h:106
#20 0x0807c0f9 in io_manager::loop () at callback.h:149
#21 0x08059f7c in main (argc=1, argv=0xbf93c174) at rxvt.C:37
Comment 1 Andreas Bierfert 2006-01-21 18:36:30 EST
Thanks for reporting this... I will contact upstream.
Comment 2 Andreas Bierfert 2006-01-25 07:48:47 EST
Fixed upstream. Build an pushed.

Note You need to log in before you can comment on or make changes to this bug.